package gmt.io.client.vo;

import gmt.common.type.ActiveModeType;
import gmt.common.vo.MonitorInfoVO;

public class ClientInfoVO {
	
	private int id;
	private String ip;     
	private String sIp;    
	private int port;      
	private int localPort; 
	private String name;   
	private boolean iSUse;

	private String inBufferSize;
	private String outBufferSize;

	private int recordLength;

	private int tag;
	private ActiveModeType active;
	private MonitorInfoVO MonitorInfo;


	public ClientInfoVO() {
		id = 0;
		tag = 0;
		port = 0;
		name = "";
		localPort = 0;
		iSUse = true;
		active = ActiveModeType.PRIMARY;
		MonitorInfo = new MonitorInfoVO();
	}


	public int getId() {
		return id;
	}


	public String getIp() {
		return ip;
	}


	public String getsIp() {
		return sIp;
	}


	public int getPort() {
		return port;
	}


	public int getLocalPort() {
		return localPort;
	}


	public String getName() {
		return name;
	}


	public boolean isiSUse() {
		return iSUse;
	}

	public ActiveModeType getActive() {
		return active;
	}


	public void setActive(ActiveModeType active) {
		this.active = active;
	}


	public MonitorInfoVO getMonitorInfo() {
		return MonitorInfo;
	}


	public int getTag() {
		return tag;
	}


	public void setId(int id) {
		this.id = id;
	}


	public void setIp(String ip) {
		this.ip = ip;
	}


	public void setsIp(String sIp) {
		this.sIp = sIp;
	}


	public void setPort(int port) {
		this.port = port;
	}


	public void setLocalPort(int localPort) {
		this.localPort = localPort;
	}


	public void setName(String name) {
		this.name = name;
	}


	public void setiSUse(boolean iSUse) {
		this.iSUse = iSUse;
	}

	public void setMonitorInfo(MonitorInfoVO monitorInfo) {
		MonitorInfo = monitorInfo;
	}


	public void setTag(int tag) {
		this.tag = tag;
	}

	public int getRecordLength() {
		return recordLength;
	}

	public void setRecordLength(int recordLength) {
		this.recordLength = recordLength;
	}

	public String getInBufferSize() {
		return inBufferSize;
	}

	public void setInBufferSize(String inBufferSize) {
		this.inBufferSize = inBufferSize;
	}

	public String getOutBufferSize() {
		return outBufferSize;
	}

	public void setOutBufferSize(String outBufferSize) {
		this.outBufferSize = outBufferSize;
	}

	@Override
	public String toString() {
		return "ClientInfoVO{" +
				"id=" + id +
				", ip='" + ip + '\'' +
				", sIp='" + sIp + '\'' +
				", port=" + port +
				", localPort=" + localPort +
				", name='" + name + '\'' +
				", iSUse=" + iSUse +
				", inBufferSize='" + inBufferSize + '\'' +
				", outBufferSize='" + outBufferSize + '\'' +
				", recordLength=" + recordLength +
				", tag=" + tag +
				", active=" + active +
				", MonitorInfo=" + MonitorInfo +
				'}';
	}
}
